Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.event.process
Interface ProcessVariableChangedEvent

All Superinterfaces:
  KnowledgeRuntimeEvent, ProcessEvent

    public interface ProcessVariableChangedEvent

extends ProcessEvent

An event when a variable inside a process instance has been changed.

Method Summary
`Object` | `getNewValue()` The new value of the variable.
`Object` | `getOldValue()` The old value of the variable.
`String` | `getVariableId()` The unique id of the process variable (definition).
`String` | `getVariableInstanceId()` The unique id of the process variable instance (as multiple node instances with the same process variable definition exists).

Methods inherited from interface org.drools.event.process.ProcessEvent
`getProcessInstance`

Methods inherited from interface org.drools.event.KnowledgeRuntimeEvent
`getKnowledgeRuntime`

Method Detail

### getVariableId

    String getVariableId()

  The unique id of the process variable (definition).

  Returns:
    the variable id

### getVariableInstanceId

    String getVariableInstanceId()

  The unique id of the process variable instance (as multiple node instances with the same process variable definition exists). This is an aggregation of the unique id of the instance that contains the variable scope and the variable id.

  Returns:
    the variable instance id

### getOldValue

    Object getOldValue()

  The old value of the variable. This may be null.

  Returns:
    the old value

### getNewValue

    Object getNewValue()

  The new value of the variable. This may be null.

  Returns:
    the new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.